libpcre-ocaml_6.2.5-1_amd64.deb


Advertisement

Description

libpcre-ocaml - OCaml bindings for PCRE (runtime)

Distribution: Debian 7 (Wheezy)
Repository: Debian Main amd64
Package name: libpcre-ocaml
Package version: 6.2.5
Package release: 1
Package architecture: amd64
Package type: deb
Installed size: 65 B
Download size: 20.52 KB
Official Mirror: ftp.br.debian.org
This OCaml-library interfaces the PCRE (Perl-compatibility regular expressions) C library. it can be used for matching regular expressions which are written in Perl style. Compared with the OCaml standard library "Str" module, this library: * uses Perl style rather than Emacs one * is reentrant and thus thread safe * is faster (when compiled to native code is even faster than Perl regular expressions) * returns data on which you can safely use destructive updates * gives more "programming comfort" through a better API This package contains only the shared runtime stub libraries.

Alternatives

Provides

  • libpcre-ocaml-xu8a5

    Download

    Source package: pcre-ocaml

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libpcre-ocaml deb package:
      # sudo apt-get install libpcre-ocaml

    Files

    • /usr/lib/ocaml/stublibs/dllpcre_stubs.so
    • /usr/share/doc/libpcre-ocaml/changelog.Debian.gz
    • /usr/share/doc/libpcre-ocaml/changelog.gz
    • /usr/share/doc/libpcre-ocaml/copyright

    Changelog

    2012-02-10 - Stéphane Glondu <glondu@debian.org> pcre-ocaml (6.2.5-1) unstable; urgency=low * New upstream release - drop Fix-typo-in-debug-native-code-library-target-of-OCam.patch

    2012-01-02 - Stéphane Glondu <glondu@debian.org> pcre-ocaml (6.2.4-2) unstable; urgency=low * Fix linking options stored in OCaml libraries that were making (some) reverse-dependencies FTBFS

    2012-01-01 - Stéphane Glondu <glondu@debian.org> pcre-ocaml (6.2.4-1) unstable; urgency=low * New upstream release - drop Fix-version-number-in-META.patch (fixed upstream) - add Fix-typo-in-debug-native-code-library-target-of-OCam.patch * Compile with debugging symbols (Closes: #649863)

    2011-11-19 - Stéphane Glondu <glondu@debian.org> pcre-ocaml (6.2.3-1) unstable; urgency=low * New upstream release - drop Change-position-of-flag-lpcre.patch since it seems to have been addressed upstream * Bump Standards-Version to 3.9.2 (no changes)

    2011-04-18 - Stéphane Glondu <glondu@debian.org> pcre-ocaml (6.2.2-2) unstable; urgency=low * Remove obsolete README.source * Update libpcre-ocaml-dev.README.Debian (Closes: #622233)

    2011-02-20 - Stéphane Glondu <glondu@debian.org> pcre-ocaml (6.2.2-1) unstable; urgency=low * New upstream release - add Fix-version-number-in-META.patch * Add Change-position-of-flag-lpcre.patch * debian/control: - fix typo in package description (Closes: #590973) - remove quilt from Build-Depends - remove Stefano from Uploaders - bump Standards-Version to 3.9.1 * Bump debhelper compat level to 8

    2010-04-08 - Stefano Zacchiroli <zack@debian.org> pcre-ocaml (6.0.1-3) unstable; urgency=low [ Stéphane Glondu ] * Fix generation of documentation by dh_ocamldoc (Closes: #570717) [ Stefano Zacchiroli ] * Bump Standards-Version to 3.8.4 (no changes) * debian/source/format: set source format to 3.0 (quilt) * switch patch management from dpatch to quilt * debian/patches: remove unused meta.dpatch

    2009-10-05 - Stéphane Glondu <glondu@debian.org> pcre-ocaml (6.0.1-2) unstable; urgency=low * Switch packaging to dh-ocaml 0.9 * Update my e-mail address and remove DMUA * Bump Standards-Version to 3.8.3 (no changes)

    2009-07-01 - Stephane Glondu <steph@glondu.net> pcre-ocaml (6.0.1-1) unstable; urgency=low * New Upstream Version

    2009-07-01 - Stephane Glondu <steph@glondu.net> pcre-ocaml (6.0.0-1) unstable; urgency=low [ Stefano Zacchiroli ] * debian/*install.in: uniform files, removing spurious dirts * debian/control: - set archive section to "ocaml" [ Stephane Glondu ] * New upstream release: - changed API wrt. error handling * Update Standards-Version to 3.8.2 * Add versioned dependency to ocaml-findlib to ease OCaml 3.11.1 transition

    Advertisement
    Advertisement